# -*- coding: utf-8 -*-
# Copyright 2024-2026 Nexa Systems Inc.
# License OPL-1

from odoo import models
from odoo.http import request


class IrHttp(models.AbstractModel):
    _inherit = 'ir.http'

    def session_info(self):
        result = super().session_info()
        if request.session.uid:
            user = self.env.user
            result['chatter_position'] = user.chatter_position or 'side'
            result['chatter_hidden'] = user.chatter_hidden or False
        return result
